Bug 4358 - LO Не открывает файлы с samba
: LO Не открывает файлы с samba
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High major
: 2014 Fresh R4
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 4385
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 15:38 MSD by Vladimir Potapov
Modified: 2014-09-30 01:11 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
smb-doc.png (17.34 KB, image/png)
2014-09-17 08:26 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-09-04 15:38:56 MSD
LO не открывает файлы с самба-шар. Никаких сообщений, просто не работает и всё.
Comment 1 Andrey Bondrov 2014-09-11 01:58:25 MSD
Possibly fixed in 6012, please test.
Comment 2 Vladimir Potapov 2014-09-12 10:44:12 MSD
т.к. самба отвалилась полностью, проверить не могу.
Comment 3 FirstLevel 2014-09-15 14:01:34 MSD
Оригинальная проблема актуальна для 6058. Файлы по smb не открываются
Comment 4 Andrey Bondrov 2014-09-15 17:39:27 MSD
Проверил 6092, там уж точно открывает даже в Live-режиме.
Comment 5 FirstLevel 2014-09-17 08:25:49 MSD
Пробовал на 6124.
При попытке открыть файл открывается непонятное окно аутентификации. См вложение smb-doc.png
Comment 6 FirstLevel 2014-09-17 08:26:06 MSD
Created attachment 3203 [details]
smb-doc.png
Comment 7 Andrey Bondrov 2014-09-17 09:25:55 MSD
Похоже, что на стороне сервера что-то не так с правами. Я у себя сперва тоже кинул в расшаренный каталог файлы с правами чтения только у владельца, а потом удивлялся, что же они из LO не открываются. А в данном случае, видимо, анонимный доступ запрещён вообще.
Comment 8 FirstLevel 2014-09-17 10:33:02 MSD
(In reply to comment #7)
> Похоже, что на стороне сервера что-то не так с правами. Я у себя сперва тоже
> кинул в расшаренный каталог файлы с правами чтения только у владельца, а
> потом удивлялся, что же они из LO не открываются. А в данном случае, видимо,
> анонимный доступ запрещён вообще.

Анонимный доступ здесь не при чем. Я открываю ресурс с виндовой машины и ввожу необходимый логин и пароль (виндовая машина Windows 7 в домене). Все файлы типа txt, pdf и прочих - открываются нормально в режиме рид-врайт.
А вот, если пытаюсь открыть doc и xls - возникает окно аутентификации.
Если нужны логи - прошу сказать какие и я предоставлю.
Comment 9 FirstLevel 2014-09-17 14:35:33 MSD
Дополнительная информация.
При неизменном самба ресурсе (админская шара c$ в винде) имею следующее:
1. В установленном LTS файлы doc и xlsx открываются с smb-ресурса. При этом я вижу в трее задание на копирование файла на локальный комп.
2. В установленном Fresh файлы doc и xlsx не открываются с smb-ресурса и в трее задания на копирование файлов я не вижу.
3. В установленном 2014 ситуация такая: если я тыкаю один файл (doc,xlsx), то ничего не происходит. Если я тыкаю второй и последующие файлы - появляется окно аутентификации. При этом в окне аутентификации можно ввести только пароль. В поле "Имя пользователя" поставить курсор нельзя.
Comment 10 Vladimir Potapov 2014-09-17 18:04:27 MSD
У меня тоже все заработало. Возможно, что-то с самбой у Сергея.
Comment 11 Vladimir Potapov 2014-09-18 12:53:40 MSD
в 6138 и опять упала самба - и опять ничего не работает.
Comment 12 Denis Silakov 2014-09-30 01:11:11 MSD
*** Bug 4060 has been marked as a duplicate of this bug. ***